## org.apache.aries.subsystem.core.archive
Class GenericDirective

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractParameter
          org.apache.aries.subsystem.core.archive.AbstractDirective
              org.apache.aries.subsystem.core.archive.GenericDirective

All Implemented Interfaces:
  Directive, Parameter

    public class GenericDirective

extends AbstractDirective

Constructor Summary
`GenericDirective(String name, String value)`

Method Summary

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractDirective
`getValue, toString`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractParameter
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.aries.subsystem.core.archive.Parameter
`getName`

Constructor Detail

### GenericDirective

    public GenericDirective(String name,
                            String value)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.